excalibur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@d-haven.org>
Subject Re: Can't build Fortress
Date Tue, 22 Jun 2004 05:48:52 GMT
Niclas Hedhman wrote:

> On Tuesday 22 June 2004 04:16, Berin Loritsch wrote:
> 
>>>maven multiproject:install at the Excalibur top level should work, and
>>>include to build Fortress, in less than 10-15 minutes I think... :o)
>>
>>Hmm, now I get...
>>
>>java:prepare-filesystem:
>>
>>java:compile:
>>     [echo] Compiling to f:\projects\trunk\.\compatibility/target/classes
>>     [javac] Compiling 62 source files to
>>F:\projects\trunk\compatibility\target\
>>classes
>>javac: target release 1.1 conflicts with default source release 1.5
> 
> 
> IIANM, this is related to the JDK1.5 compiler, and how the bytecode formats 
> are generated. Not sure how this differences works in detail, but I saw some 
> people warning about the move to 1.5 in this area.
> 

Right.  If you specified -source instead of -target you would be ok.
The newer version of Maven fixes this

-- 

"Programming today is a race between software engineers striving to 
build bigger and better idiot-proof programs, and the Universe trying to 
produce bigger and better idiots. So far, the Universe is winning."
                 - Rich Cook

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@excalibur.apache.org
For additional commands, e-mail: dev-help@excalibur.apache.org
Apache Excalibur Project -- URL: http://excalibur.apache.org/


Mime
View raw message